# Interface ServerAuthConfig

All Superinterfaces:
  `AuthConfig`

public interface ServerAuthConfig extends AuthConfig
Server-side authentication configuration obtained from an `AuthConfigProvider`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerAuthContext`
  `getAuthContext(String authContextID, Subject serviceSubject, Map<String,Object> properties)`
  Returns the `ServerAuthContext` for the given authentication context ID.

  ### Methods inherited from interface AuthConfig

  `getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

- ## Method Details

  - ### getAuthContext

    ServerAuthContext getAuthContext(String authContextID, Subject serviceSubject, Map<String,Object> properties) throws AuthException
    Returns the `ServerAuthContext` for the given authentication context ID.
    Parameters:
      `authContextID` - the authentication context identifier
      `serviceSubject` - the service subject
      `properties` - the configuration properties
    Returns:
      the server authentication context
    Throws:
      `AuthException` - if an error occurs during authentication context creation